# Instant Death

This BONEWORKS mod adds a toggle for instant death to the [ModThatIsNotMod](https://boneworks.thunderstore.io/package/gnonme/ModThatIsNotMod/) BoneMenu, as well as a suicide button. When enabled, this mod **completely disables the death animation**.

This mod mainly targets Entanglement for a better PVP experience, but you're welcome to use it for anything else of course!

## Features
- Toggle for instant death (wow)
- Button for suicide
- Controls for max health and health regeneration speed

## Installation/usage
- Put the `.dll` file in the `Mods` folder.
- When in Boneworks, **the mod is disabled by default. Enable it in the BoneMenu!**

## Changelog

v1.0.3:
- Added `Max Health` and `Health Regeneration Duration`! *Instant death, more like health utilities or something lol*

v1.0.2:
- Fixed GitHub URL. I need sleep.

v1.0.1:
- Fixed immortality bug!
- `Player_Health` is now cached on scene load (better performance, thanks Adi)
- The mod no longer changes `Player_Health.HealthMode` to instant, and instead just changes `Player_Health.deathTimeAmount` to 0 and the health mode to mortal.

## Footnote

This is my first mod! Huge thanks to the community for providing the groundwork for everything and for providing me with advice! ❤️


<a href="#"><img src="https://i.imgur.com/CGCBXVR.gif"></a>